Hospitality
  1. Apartments
Hospitality
  • Admin
    • Authentication
      • Admin Profile
      • Login Admin
      • Admin Logout
      • Forget Password
      • Confirm Reset Password
    • Rooms
      • Get All Rooms
      • Get Room Details
      • Hide Rooms
      • Create Room
      • Update Room
      • Delete Room
    • Apartments
      • Get All Apartments
        GET
      • Get Apartment Details
        GET
      • Apartment Status
        PATCH
      • Create Apartment
        POST
      • Update Apartment
        PATCH
      • Delete Apartment
        DELETE
    • Proposals
      • Fetch All Proposals
      • Delete Proposals
      • Fetch Proposal Details
      • Approve / Decline Proposal
    • Reservations
      • All Reservation
      • Delete Reservations
      • End / Cancel Reservation
      • Add Reservation
      • Add Reservation (New)
      • Send Invoice
      • Change Reservation ID
      • Filter For Reservations
      • Get Reservation Details
    • Bookings
      • All Booking Reservation
      • Delete Bookings
      • End / Cancel Reservation
      • Add Reservation (New)
      • Send Invoice
      • Change Reservation ID
      • Filter For Reservations
      • Get Booking Details
    • Receptionists
      • Create Receptionist
      • View All Receptionist
      • Delete Receptionist
    • Dashboard
      • Get Statistics
    • Schedule Calls
      • View All Schedules
      • Update Schedule Calls
    • Coupons
      • Create Coupon Code
      • Get All Coupon Code
      • Deactivate / Activate Coupon Code
      • Delete Coupon
    • Refunds
      • Get All Refunds
      • Issue a Refund
      • Approve Or Decline Refunds
      • Update Refunds
      • Filter Refund
    • Categories
      • Create Categories
      • Get All Room Types
      • Update Room Category
      • Delete Room Category
    • Payments (New)
      • Confirm Payment (New)
  • Users
    • Proposals
      • Send A Proposal
    • Reservations
      • Get All Reservations
      • Get Active Reservations
      • Extend Reservation
      • Download Invoice
      • Get Reservation Details
    • Authentication
      • User Registration
      • User Profile
      • Forget Password
      • User Login
      • User Logout
      • Update Account
      • Confirm Reset Password
      • Code Verification
    • Payments
      • Verify Payment
      • Payment For Reservation
      • Create Payment Link (New)
      • Confirm Payment (New)
      • Make Payment For Apartment
      • Verify Paid Apartments
    • Coupons
      • Apply Coupons
    • Refunds
      • Issue a Refund
      • Get All Refunds
  • Rooms
    • Get All Rooms
      GET
    • View Room Details
      GET
    • Filter Rooms
      GET
    • Get Avaliable Rooms
      GET
  • Apartments
    • Get All Apartments
    • View Apartment Details
    • Get Avaliable Apartments
  • Categories
    • Get All Categories
  • Owners
    • Authentication
      • Code Verification
      • Get Profile
      • Login
      • User Registration
      • Forget Password
      • Update Account Copy
  • Base Endpiont
    GET
  • Health Check
    GET
  • Schedule A Call
    POST
  • Subscribe Email
    POST
  • Cron Jobs
    GET
  • Payment Webhook
    POST
  • New Request
    GET
  1. Apartments

Get Apartment Details

GET
/admin/apartments/{id}

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Path Params

Responses

🟢200
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET '/admin/apartments/67624e443b7121b44b799e47' \
--header 'Authorization: Bearer <token>'
Response Response Example
{
    "status": true,
    "message": "QUERY_SUCCESS",
    "data": {
        "_id": "67624e443b7121b44b799e47",
        "type": "Duplex",
        "adminId": "653d63a82efc5eeb5d037c3e",
        "price": 1000000,
        "totalRooms": 6,
        "location": "Akure South",
        "description": "This is a bungulow test description",
        "facilities": [
            "Air Condition",
            "Ree Wi-Fi",
            "Nice View",
            "24hr Electricity"
        ],
        "comments": [],
        "images": [
            "https://firebasestorage.googleapis.com/v0/b/hotel-project-a01c4.appspot.com/o/apartments%2F1734495770013_0_image%2Fpng?alt=media&token=18ae1ce1-d82a-4287-a152-2fe165dce5a2"
        ],
        "reservations": [],
        "createdAt": "2024-12-18T04:23:32.168Z",
        "updatedAt": "2024-12-18T04:23:32.168Z",
        "__v": 0
    }
}
Modified at 2026-03-12 16:47:55
Previous
Get All Apartments
Next
Apartment Status
Built with